curl "https://api.phrase.com/v2/projects/:project_id/uploads?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase uploads list \
--project_id <project_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/uploads"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"filename": "example.json",
"format": "json",
"state": "success",
"error_message": null,
"tag": "tag",
"summary": {
"locales_created": 2,
"translation_keys_created": 162,
"translation_keys_updated": 10,
"translation_keys_unmentioned": 0,
"translations_created": 291,
"translations_updated": 3,
"tags_created": 2,
"translation_keys_ignored": 0
},
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]List uploads
List all uploads for the given project.
curl "https://api.phrase.com/v2/projects/:project_id/uploads?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase uploads list \
--project_id <project_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/uploads"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"filename": "example.json",
"format": "json",
"state": "success",
"error_message": null,
"tag": "tag",
"summary": {
"locales_created": 2,
"translation_keys_created": 162,
"translation_keys_updated": 10,
"translation_keys_unmentioned": 0,
"translations_created": 291,
"translations_updated": 3,
"tags_created": 2,
"translation_keys_ignored": 0
},
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]Authorizations
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
specify the branch to use
Response
OK
Processing state of the upload: initialized, processing, success, or error. error means processing failed — for example the file could not be parsed, or a provided file_format didn't match the file's actual content. Poll this field until it leaves initialized/processing to get the final outcome.
A user-facing message explaining why the upload failed, or null if the upload did not fail.
This message is intended for display only. Its wording may change at any time and it should not be parsed or relied upon programmatically.
Unique tag of the upload
List of tags that were assigned to the uploaded keys
The URL to the upload in Phrase Strings app.
Show child attributes
Show child attributes
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Show child attributes
Show child attributes
Was this page helpful?